# DragonOS

**Languages** 中文|[English](README_EN.md)

&nbsp;

&emsp;&emsp;这是一个运行于x86_64平台的64位操作系统。目前正在开发之中！

[关于DragonOS，你想了解的都在这儿 - DragonOS](https://dragonos.org/uncategorized/summary/)

## 网站

- 项目官网  **[DragonOS.org](https://dragonos.org)**

- 项目文档  **[docs.DragonOS.org](https://docs.dragonos.org)**

- 开源论坛  **[bbs.DragonOS.org](https://bbs.dragonos.org)**

- 软件镜像站 **[mirrors.DragonOS.org](https://mirrors.DragonOS.org)**

- 开发交流QQ群 **115763565**

- 代码搜索引擎 [code.DragonOS.org](http://code.dragonos.org)
  
  &nbsp;

## 如何运行？

&emsp;&emsp;运行DragonOS的步骤非常简单，您可以参考以下几个资料，在最短15分钟内运行DragonOS！

- [构建DragonOS — DragonOS dev 文档](https://docs.dragonos.org/zh_CN/latest/introduction/build_system.html#docker)

- [如何在电脑的虚拟机上运行DragonOS？ | | 龙进的博客](https://longjin666.cn/?p=1514)

- [教你在15分钟内运行DragonOS！- Bilibili](https://www.bilibili.com/video/BV1zF411w7s2?share_source=copy_web&vd_source=41ab4a1b73e6f65219a785923511517e)

## 系统特性

&emsp;&emsp;请参见文档：[系统特性](https://docs.dragonos.org/zh_CN/latest/introduction/features.html)

## 如何加入？

&emsp;&emsp;如果你愿意加入我们，你可以查看GitHub仓库的Project面板，选择近期已规划的功能，对他们进行完善。

&emsp;&emsp;或者，你也可以带着你的创意与想法，和社区的小伙伴一起讨论，为DragonOS创造一些新的功能。

## 如何与社区建立联系？

&emsp;&emsp;你可以发邮件给我，我的邮件地址是[longjin@RinGoTek.cn](mailto:longjin@RinGoTek.cn)。

&emsp;&emsp;或者是加入我们的开发交流QQ群：**115763565**

&emsp;&emsp;对于正式问题的讨论，我们建议在论坛[bbs.DragonOS.org](https://bbs.dragonos.org/)上的对应板块，使用正式的语言发帖讨论。亦或者是在本仓库的issue下提出问题。

&emsp;&emsp;在发帖的同时，可以把帖子转发到交流QQ群，这样能使得问题的交流更加高效，也便于问题的归档。

## 贡献者名单

[Contributors to fslongjin/DragonOS · GitHub](https://github.com/fslongjin/DragonOS/graphs/contributors)

## 联系我

我的邮箱：longjin@RinGoTek.cn

社区邮箱：contact@DragonOS.org

我的博客：[longjin666.cn](https://longjin666.cn)

## 赞助

&emsp;&emsp;DragonOS是一个公益性质的开源项目，但是它的发展离不开资金的支持，如果您愿意的话，可以通过**[赞助 - DragonOS](https://dragonos.org/donate/)**，从而促进这个项目的发展。所有的赞助者的名单都会被公示。您的每一分赞助，都会为DragonOS的发展作出贡献！

### 赞助的资金都会被用到哪里？

我们保证，所有赞助的资金及物品，将会用于：

- 为活跃的社区开发者发放补贴或设备支持

- DragonOS的云服务开支

- 设备购置

- 任何有助于DragonOS发展建设的用途

### 赞助商列表

**暂无**

我们期望在未来，能有企业赞助DragonOS，为它的发展注入资金动力！

### 个人赞赏者列表

- 悟
- [TerryLeeSCUT · GitHub](https://github.com/TerryLeeSCUT)
- slientbard

## 开放源代码声明

本项目采用GPLv2协议进行开源，欢迎您在遵守开源协议的基础之上，使用本项目的代码！

**我们支持**：遵守协议的情况下，利用此项目，创造更大的价值，并为本项目贡献代码。

**我们谴责**：任何不遵守开源协议的行为。包括但不限于：剽窃该项目的代码作为你的毕业设计等学术不端行为以及商业闭源使用而不付费。

若您发现了任何违背开源协议的使用行为，我们欢迎您发邮件反馈！让我们共同建设诚信的开源社区。

## 参考资料

&emsp;&emsp;本项目参考了以下资料，我对这些项目、书籍、文档的作者表示感谢！

- 《一个64位操作系统的实现》田宇（人民邮电出版社）

- 《现代操作系统 原理与实现》陈海波、夏虞斌（机械工业出版社）

- [SimpleKernel](https://github.com/Simple-XX/SimpleKernel)

- [osdev.org](https://wiki.osdev.org/Main_Page)

- Multiboot2 Specification version 2.0

- ACPI_6_3_final_Jan30

- the GNU GRUB manual

- Intel® 64 and IA-32 Architectures Software Developer’s Manual

- IA-PC HPET (High Precision Event Timers) Specification

- [skiftOS]([GitHub - skiftOS/skift: 🥑 A hobby operating system built from scratch in modern C++. Featuring a reactive UI library and a strong emphasis on user experience.](https://github.com/skiftOS/skift))

- [GuideOS](https://github.com/Codetector1374/GuideOS)
