# DragonOS

**Languages** [中文](README.md)|English

&nbsp;

&emsp;&emsp;This project is a operating system running on computer which is in X86_ 64 Architecture . The DragonOS is currently under development!

[All you want to know about DragonOS is here - DragonOS](https://dragonos.org/uncategorized/summary/)

## Websites

- Home Page  **[DragonOS.org](https://dragonos.org)**
- Documentation  **[docs.DragonOS.org](https://docs.dragonos.org)**
- BBS  **[bbs.DragonOS.org](https://bbs.dragonos.org)**
- Software mirror website **[mirrors.DragonOS.org](https://mirrors.DragonOS.org)**
- QQ group **115763565**
- Code search engine [code.DragonOS.org](http://code.dragonos.org)&nbsp;

## How to run?

&emsp;&emsp;The steps to run DragonOS are very simple. You can refer to the following materials to run DragonOS in the shortest 15 minutes!

- [Building DragonOS - DragonOS dev document](https://docs.dragonos.org/zh_CN/latest/introduction/build_system.html#docker)

- [How to run DragonOS on a computer's virtual machine? || Long Jin's blog](https://longjin666.cn/?p=1514)

- [Teach you to run DragonOS in 15 minutes- Bilibili](https://www.bilibili.com/video/BV1zF411w7s2?share_source=copy_web&vd_source=41ab4a1b73e6f65219a785923511517e)

## DragonOS' Features

&emsp;&emsp;See documentation:[Features](https://docs.dragonos.org/zh_CN/latest/introduction/features.html)

## How to join DragonOS ?

&emsp;&emsp;If you are willing to join us, you can check the project panel of GitHub warehouse, select the recently planned functions, and improve them.

&emsp;&emsp;Or, you can also bring your ideas and ideas, discuss with the community partners, and create some new functions for dragonos.

## How to come in contact with the community?

&emsp;&emsp;You can send me an email. My email address is[ longjin@RinGoTek.cn ](mailto: longjin@RinGoTek.cn )。

&emsp;&emsp;Or join our development exchange QQ group: **115763565**

&emsp;&emsp;For the discussion of formal issues, we suggest that they be discussed in the forum [BBS.Dragonos.org](https://bbs.dragonos.org/) In the corresponding section of the, use formal language to post for discussion. Or ask questions under the issue of the warehouse.

&emsp;&emsp;While posting, you can forward the post to the communication QQ group, which can make the communication of problems more efficient and facilitate the archiving of problems.

## List of contributors

[Contributors to fslongjin/DragonOS · GitHub](https://github.com/fslongjin/DragonOS/graphs/contributors)

## Contact with me

Email：longjin@RinGoTek.cn

Community Contact Email: contact@DragonOS.org

Blog：[longjin666.cn](https://longjin666.cn)

## Reward

&emsp;&emsp;DragonOS is an open source public welfare project, but its development cannot be separated from the support of funds. If you want, you can visit **[Sponsor - DragonOS](https://dragonos.org/donate/)**, so as to promote the development of this project. The list of all sponsors will be published. Every bit of your sponsorship will contribute to the development of DragonOS!

### Where will the sponsorship funds be used?

We guarantee that all sponsorship funds and items will be used for:

- Subsidies or equipment support for active community developers
- Cloud service expenditure of DragonOS
- Equipment purchase
- Any use conducive to the development and construction of DragonOS

### Sponsor List

**None**

We hope that in the future, some enterprises can sponsor DragonOS and inject financial power into its development!

### Individual Sponsor List

- 悟
- [TerryLeeSCUT · GitHub](https://github.com/TerryLeeSCUT)
- slientbard

## Open source statement

&emsp;&emsp;This project adopts GPLv2 LICENSE for open source. You are welcome to use the code of this project on the basis of abiding by the open source license!

**What we support:** using this project to create greater value and contribute code to this project under the condition of abiding by the agreement.

**What we condemn**: any non-compliance with the open source license. Including but not limited to: plagiarizing the code of the project as your graduation project and other academic misconduct, as well as commercial closed source use without payment.

If you find any violation of the open source license, we welcome you to send email feedback! Let's build an honest open source community together!

## References

&emsp;&emsp;This project refers to the following materials. I sincerely give my thanks to the authors of these projects, books and documents!

- Implementation of a 64 bit operating system, Tian Yu (POSTS&TELECOM  PRESS)

- Principle and implementation of modern operating system, Chen Haibo, Xia Yubin (China Machine Press)

- [SimpleKernel](https://github.com/Simple-XX/SimpleKernel)

- [osdev.org](https://wiki.osdev.org/Main_Page)

- Multiboot2 Specification version 2.0

- ACPI_6_3_final_Jan30

- the GNU GRUB manual

- Intel® 64 and IA-32 Architectures Software Developer’s Manual

- IA-PC HPET (High Precision Event Timers) Specification

- [skiftOS]([GitHub - skiftOS/skift: 🥑 A hobby operating system built from scratch in modern C++. Featuring a reactive UI library and a strong emphasis on user experience.](https://github.com/skiftOS/skift))

- [GuideOS](https://github.com/Codetector1374/GuideOS)
